<template>
  <div class="stat-cards-container">
    <div class="stat-card" v-for="(item, idx) in props.numberList" :key="idx">
      <div class="stat-card__title">{{ item.title }}</div>
      <div class="stat-card__value">{{ item.value }}</div>
    </div>
  </div>
</template>

<script setup>
import { onMounted, reactive, watch, ref } from "vue";
const props = defineProps({
  numberList: {
    type: Array,
    default: () => [],
  },
});
</script>

<style scoped lang="less">
.stat-cards-container {
  display: flex;
  .stat-card {
    .vw(width, 170);
    .vw(border-radius, 5);
    .vw(padding, 10);
    .vw(margin,10);
    background-image: url("../assets/images/total2.png");
    background-repeat: no-repeat;
    background-size: 100% 100%;
    background-position: center;
    .stat-card__title {
      .font(12);
    }
    .stat-card__value {
      .vh(margin-top, 10);
      .font(20);
    }
  }
}
</style>
